TICKIT_WINDOW_DESTROY(3)

NAME
tickit_window_destroy - destroy a window instance

SYNOPSIS
    #include <tickit.h>

    void tickit_window_destroy(TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_destroy() destroys the given window instance and releases any resources controlled by it, recursively destroying any child windows of the given one as well. It will unbind all the bound event handlers, causing TICKIT_EV_UNBIND events if appropriate.

RETURN VALUE
tickit_window_destroy() returns no value.

SEE ALSO
tickit_window_new(3), tickit_window_bind_event(3), tickit_window_unbind_event_id(3), tickit_window(7), tickit(7)